Ruby GUI toolkits 碎碎念

Enviornment: OSX 10.6 snow leopard, Ruby 1.9.1p376

目標:最簡單的安裝方式,因為depolyment是個討厭到不行的工作…

1. wxRuby

直接裝gem可以裝,可是require的時候會炸

查了一下似乎在snow leopard上面要重新compile… 懶得用

2. qtRuby

我找不到到底該gem i 什麼東西,qtruby, qt4-ruby, qt4都沒東西(懶

3. ruby-gtk

為什麼port install rb-gnome會從tk裝到python2.6再裝到xorg阿… 裝太久了(懶

4. Fxruby

require ‘fox16’會segmentation fault(略

5. Titanium Desktop + Bowline

光是Titanium的範例跑起來就很怪了,不是跑不起來就是圖示消失。不爽不要用(略

6. Shoes

當初在windows底下只要一輸入中文就會crash, 放著不動他也會自己crash
現在整個社群似乎也沒啥動作,觀望

7. WideStudio

好像支援很多平台很多語言,而且還一直有在開發的樣子
可是這網站跟文件過期的程度真是有夠誇張阿

8. MacRuby

看起來很有前途,不過我完全沒寫過obj-c跟cocoa, 觀望

9. Gosu

這其實不是GUI toolkit, 而是個2D game development framework

可是大概是我用過最容易depoly的(有視窗的)東西了… exerb打包然後把gosu.dll放一起就好了

10. HTML + CSS

雖然web application是時代潮流又不用depoly,可是native ui feeling有時也是很重要的好嗎…

結論?沒有結論。open source community什麼時候會有結論這種東西了?

Advertisements

Ruby GUI toolkits 碎碎念” 有 2 則迴響

發表迴響

在下方填入你的資料或按右方圖示以社群網站登入:

WordPress.com Logo

您的留言將使用 WordPress.com 帳號。 登出 / 變更 )

Twitter picture

您的留言將使用 Twitter 帳號。 登出 / 變更 )

Facebook照片

您的留言將使用 Facebook 帳號。 登出 / 變更 )

Google+ photo

您的留言將使用 Google+ 帳號。 登出 / 變更 )

連結到 %s